## ros-kinetic-seed-r7-ros-controller 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_ros_controller)


# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  trajectory_msgs 
  geometry_msgs
  sensor_msgs 
  nav_msgs 
  control_msgs
  move_base_msgs
  control_toolbox
  controller_manager
  hardware_interface
  transmission_interface
  joint_limits_interface
  message_generation
  angles
  urdf
  tf
  seed_r7_description
  seed_smartactuator_sdk
  pluginlib
)

# boost
find_package(Boost REQUIRED COMPONENTS filesystem system signals thread)
if(NOT Boost_INCLUDE_DIRS)
  message(FATAL "boost required but not supported")
else()
  include_directories(include ${Boost_INCLUDE_DIRS})
endif()


# Generate services in the 'srv' folder
# Below service should be removed in future
add_service_files(
   FILES
   HandControl.srv
)
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  trajectory_msgs
)


catkin_package(
  INCLUDE_DIRS include
  LIBRARIES seed_r7_hand_controllers
  CATKIN_DEPENDS
    roscpp
    std_msgs
    trajectory_msgs 
    sensor_msgs
    geometry_msgs 
    nav_msgs 
    control_msgs 
    move_base_msgs
    controller_manager
    control_toolbox
    hardware_interface
    transmission_interface
    joint_limits_interface
    angles
    urdf
    tf
    seed_r7_description
    seed_smartactuator_sdk
    pluginlib
)

link_directories(${catkin_LIBRARY_DIRS})

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_definitions(-std=c++11)  # should be c++14 for melodic

# Library
add_library(seed_r7_hand_controllers src/seed_r7_hand_controller.cpp)
add_dependencies(seed_r7_hand_controllers ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(seed_r7_hand_controllers ${catkin_LIBRARIES} ${Boost_LIBRARIES})


# Executable
add_executable(${PROJECT_NAME} src/seed_r7_ros_controller.cpp
                               src/seed_r7_robot_hardware.cpp
                               src/seed_r7_mover_controller.cpp
                               src/seed_r7_upper_controller.cpp
                               src/seed_r7_lower_controller.cpp
                               src/stroke_converter_base.cpp
                               )
target_link_libraries(${PROJECT_NAME} seed_r7_hand_controllers
                                      ${catkin_LIBRARIES} ${Boost_LIBRARIES})


# Install
install(TARGETS ${PROJECT_NAME} seed_r7_hand_controllers
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-seed-r7-ros-controller (0.3.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- hi.kondo <hi.kondo@thk.co.jp>  Mon, 16 Dec 2019 06:32:19 -0000

=== debian/control ===
Source: ros-kinetic-seed-r7-ros-controller
Section: misc
Priority: optional
Maintainer: hi.kondo <hi.kondo@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-message-generation, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-seed-r7-description, ros-kinetic-seed-smartactuator-sdk, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Homepage: http://ros.org/wiki/
Standards-Version: 3.9.2

Package: ros-kinetic-seed-r7-ros-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-manager, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-message-generation, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-seed-r7-description, ros-kinetic-seed-smartactuator-sdk, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-transmission-interface, ros-kinetic-urdf
Description: The seed_r7_ros_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-seed-r7-ros-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
